import React, { PropTypes } from 'react';
import purebem from 'purebem';

import './FoundationLightboxActions.less';


const block = purebem.of('foundation-lightbox-actions');

const FoundationLightboxActions = React.createClass({

    propTypes: {
        children: PropTypes.node
    },

    render() {
        return (
            <div className={ block() }>
                { this.props.children }
            </div>
        );
    }

});

export default FoundationLightboxActions;
