import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import { connect } from 'react-redux';

import FoundationLightboxBasicContent from './FoundationLightboxBasicContent';
import * as lightbox from './redux/actions';


const FoundationLightboxBasicContentContainer = React.createClass({

    mixins: [PureRenderMixin],

    render() {
        return (
            <FoundationLightboxBasicContent { ...this.props } />
        );
    }

});

const mapStateToProps = (state) => {
    const { name, props } = state.lightbox;
    return {
        name,
        ...props
    };
};

const mapDispatchToProps = (dispatch) => {
    return {
        onClose: () => dispatch(lightbox.close())
    };
};

export default connect(mapStateToProps, mapDispatchToProps)(FoundationLightboxBasicContentContainer);
