import React, { PropTypes } from 'react';
import purebem from 'purebem';

import './FoundationLightboxDescription.less';


const block = purebem.of('foundation-lightbox-description');

const FoundationLightboxDescription = React.createClass({

    propTypes: {
        children: PropTypes.node
    },

    render() {
        return (
            <div className={ block() }>
                { this.props.children }
            </div>
        );
    }

});

export default FoundationLightboxDescription;
